/**
 * 初始化人才认定申报详情对话框
 */
var TalentInfoInfoDlg = {
    talentInfoInfoData: {},
};


TalentInfoInfoDlg.downloadFile = function (id, type) {
    window.location.href = Feng.ctxPath + "/api/common/downloadFile?id=" + id + "&type=" + type;
}


$(function () {
    $(":input").prop("disabled", true);
    $("#talent_type option").eq(0).prop("selected", true);
    var id = $("#id").val();
    var checkState = $("#checkState").val();
    if (id != null && id != '') {
        //select初始化
        $("select").each(function () {
            $(this).val($(this).attr("value")).trigger("change");
        });
        Feng.getCheckLog("logTable", {"type": CONFIG.project_rcrd, "mainId": id, "typeFileId": "", "active": 1})
    }
    $(".uitd_showTip").bind("mouseover", function () {
        var htm = $(this).html();
        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
    });
});


